Bug 495669 - Review Request: sgpio - Intel SGPIO enclosure management utility
Review Request: sgpio - Intel SGPIO enclosure management utility
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 06:47 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:48 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.2.0.10-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-04 07:11:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2009-04-14 06:47:44 EDT
Spec URL: http://people.fedoraproject.org/~jmoskovc/sgpio-1.2.0_10-1.fc11.src.rpm
SRPM URL: http://people.fedoraproject.org/~jmoskovc/sgpio.spec
Description: Intel SGPIO enclosure management utility
Comment 1 Dan Horák 2009-04-14 09:02:53 EDT
formal review is here, see the notes below:

BAD	source files match upstream:
BAD	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text included in package.
BAD	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK*	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- the Source tags points to diferent source archives
- can you talk to upstream about the versioning of their source archives (1.2-0.10) - is a post-1.2 release or pre-1.2 release?
- I would use package version as 1.2.0.10 in case of upstream version 1.2-0.10 (as post-1.2)
- version 1.2.1 is available
- drop the notes about RH support and Technology Preview in %description
- move the EOL conversion and the removal of executable bits from %install to %prep section
- output od rpmlint can be ignored
sgpio.src: W: name-repeated-in-summary SGPIO
sgpio.x86_64: W: name-repeated-in-summary SGPIO
Comment 2 Jiri Moskovcak 2009-04-14 10:48:44 EDT
Spec URL:
http://people.fedoraproject.org/~jmoskovc/sgpio-1.2.0_10-2.fc11.src.rpm
SRPM URL: http://people.fedoraproject.org/~jmoskovc/sgpio.spec

Fixed according to review:
BAD source files match upstream:
BAD package meets naming and versioning guidelines.
BAD latest version is being packaged. - i'm packaging the latest version -> bad upstream versioning
- I asked the upstream developers to fix the versioning and update the download page.

Fixed:
- drop the notes about RH support and Technology Preview in %description
- move the EOL conversion and the removal of executable bits from %install to
Comment 3 Dan Horák 2009-04-16 04:12:23 EDT
The packager and I agreed to change the version to more standard 1.2.0.10, but what remains is the mess upstream is doing with their releases. We expect it will improve in the future. There are no blockers now and this package is APPROVED.
Comment 4 Jiri Moskovcak 2009-04-16 05:18:14 EDT
New Package CVS Request
=======================
Package Name: sgpio
Short Description: Intel SGPIO enclosure management utility
Owners: jmoskovc
Branches: F11
Comment 5 Kevin Fenzi 2009-04-17 17:42:48 EDT
cvs done.
Comment 6 Ruben Kerkhof 2009-10-29 11:09:49 EDT
What's the status of this review? I don't see sgpio in F-11 yet.
Comment 7 Fedora Update System 2009-10-29 12:06:44 EDT
sgpio-1.2.0.10-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sgpio-1.2.0.10-2.fc11
Comment 8 Jiri Moskovcak 2009-10-29 12:07:56 EDT
I'm sorry, I built it but forgot to push it as an update for F11.
Comment 9 Ruben Kerkhof 2009-10-29 18:02:06 EDT
Great, thanks!

Don't forget to close this tickets when it's been pushed.
Comment 10 Fedora Update System 2009-11-04 07:11:05 EST
sgpio-1.2.0.10-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.